[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Finally got it working... more help required



On Sunday 14 November 2004 02:05 am, Jean-Yves Avenard wrote:
> Hello
>
> I took a shot,
> After always failed to upgrade a FreeBSD 5.x from i386 to AMD64 mode
> I took the plunge and re-installed from scratch FreeBSD 5.3 for
> AMD64.
>
> And it worked ; very please about that.
>
> Now there are some tools that won't compile in AMD64 mode (like
> cvsgraph and cvsweb 3.0)
> So I was wondering if there's any good source of information on how
> to run 32bits applications?
> How do I build and make the 386 mode work in AMD64?
>
> When I try to run a program complied with FreeBSD 5.3 i386 I get an
> error about libelf32 missing.

If you are running CURRENT or RELENG_5, you can put "WITH_LIB32=yes" 
in /etc/make.conf and you will get 32 bit libraries with 'make world'.

If you are running 5.3-RELEASE (any build for the last few months) you 
can "cd /usr/src; sh tools/lib32/build.sh" and it should make the base 
32 bit libraries for you.
-- 
Peter Wemm - peter_(_at_)_wemm_(_dot_)_org; peter_(_at_)_FreeBSD_(_dot_)_org; peter_(_at_)_yahoo-inc_(_dot_)_com
"All of this is for nothing if we don't go to the stars" - JMS/B5